<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RNotificationChange StructType
 * @subpackage Structs
 */
class RNotificationChange extends AbstractStructBase
{
    /**
     * The objectLists
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var RNotification
     */
    public $objectLists;
    /**
     * Constructor method for RNotificationChange
     * @uses RNotificationChange::setObjectLists()
     * @param RNotification $objectLists
     */
    public function __construct(RNotification $objectLists = null)
    {
        $this
            ->setObjectLists($objectLists);
    }
    /**
     * Get objectLists value
     * @return RNotification|null
     */
    public function getObjectLists()
    {
        return $this->objectLists;
    }
    /**
     * Set objectLists value
     * @param RNotification $objectLists
     * @return RNotificationChange
     */
    public function setObjectLists(RNotification $objectLists = null)
    {
        $this->objectLists = $objectLists;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return RNotificationChange
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
